<template>
  <div class="mobile-banner" :class="actived">
    <swiper
      v-if="!bannerLoading"
      :slides-per-view="1"
      :scrollbar="{ draggable: true }"
      :pagination="{ clickable: true }"
      :autoplay="{
        delay: 4000,
        disableOnInteraction: false,
      }"
      :modules="modules"
      :navigation="true"
      :loop="themeBannerForDisplay.length > 1 ? true : false"
      :class="[
        'flex content-center w-full custom-swiper-mobile',
        styleSelected,
      ]"
    >
      <swiper-slide v-for="(item, index) in themeBannerForDisplay" :key="index">
        <div class="h-[160px]">
          <nuxt-link v-if="theme != 'bk8'" :to="item.HyperLink" :id="ID.LOBBY_BANNER[item.HtmlId]">
            <div class="img-container pointer-events-none">
              <div
                class="blur-background"
                :style="{ 'background-image': 'url(' + item.ImagePath + ')' }"
              ></div>
              <img
                :src="item.ImagePath"
                class="mx-auto relative w-full h-full object-contain mobile-banner-img"
                loading="lazy"
              />
            </div>
          </nuxt-link>
          <nuxt-link v-if="theme == 'bk8'" :to="item.HyperLink" :id="ID.LOBBY_BANNER[item.HtmlId]">
            <div class="img-container pointer-events-none">
              <img
                :src="item.ImagePath"
                class="mx-auto relative w-full h-full object-cover"
                loading="lazy"
              />
            </div>
          </nuxt-link>
        </div>
      </swiper-slide>
    </swiper>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent, PropType, toRefs } from "vue";
import { Autoplay, Navigation, Pagination } from "swiper";
import _, { sortBy } from "lodash";
import {
  IThemePropertiesFromApi,
  ThemePropertiesFromApiDto,
} from "@/models/companyThemePropertiesRespone";
import themePropertyHelper from "@/utils/themePropertyHelper";

const bannerKeys: Record<string, string> = {
  Home: "lobby_banner",
  sports: "sport_banner_",
  virtualsports: "virtual_sport_banner_",
  livecasino: "live_casino_banner_",
  games: "game_banner_",
  poker: "poker_banner_",
  cockfight: "cockfight_banner_",
  promotion: "promotion_banner_",
  lottery: "lottery_banner_",
};
export default defineComponent({
  name: "MobileBannerDefault",
  props: {
    themeProperties: {
      type: Array as PropType<Array<IThemePropertiesFromApi>>,
      required: true,
    },
    actived: {
      type: String,
      default: "Home",
    },
    styleSelected: {
      type: String,
      default: "Banner_style_01",
    },
    isIndependent: Boolean,
    themeBannerForDisplay: {
      type: Array as PropType<ThemePropertiesFromApiDto[]>,
      required: true,
    },
  },
  emits: ["hasBanner"],
  setup(props, { emit }) {
    const bannerLoading = computed(
      () => props.themeBannerForDisplay.length === 0
    );
    const { themeColor } = themePropertyHelper;
    const theme = themeColor.value.Text;

    return {
      bannerLoading,
      modules: [Autoplay, Pagination, Navigation],
      theme,
    };
  },
});
</script>

<style scoped lang="scss">
.el-carousel {
  --el-carousel-indicator-width: 5px;
  --el-carousel-indicator-height: 5px;
}
:deep(.el-carousel__button) {
  border-radius: 2px;
}

[layout="playful"][data-device="mobile"] {
  .mobile-banner-img {
    object-fit: cover !important;
  }
}
:deep(.custom-swiper-mobile) {
  &.Banner_style_03 {
    .swiper-pagination {
      justify-content: flex-end;

      .swiper-pagination-bullet {
        width: 8px;
        height: 4px;
        border-radius: 2px;
        background: var(--text5, #fff);

        &.swiper-pagination-bullet-active {
          background: var(--primary);
          width: 24px;
        }
      }
    }
  }
  .swiper-pagination {
    display: flex;
    justify-content: center;
    padding: 8px 4px;
  }
}
</style>
